
Redmine - Defect #2619

Categories field displays when no categories exist and user can't add new

2009-01-29 20:54 - Brad Beattie

Status: Closed Start date: 2009-01-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.8.1   

Resolution: Fixed Affected version:  

Description

As a user with no access to create new categories, create a new ticket in a project with no categories. The category drop down

displays, although no options exist. It probably shouldn't show, much like target version doesn't display when no options are there.

Related issues:

Related to Redmine - Feature #12915: Display Category field back again if no ... Closed

Related to Redmine - Feature #18004: Do NOT hide category and version fields ... Closed

Associated revisions

Revision 2270 - 2009-01-17 09:03 - Jean-Philippe Lang

Do not show Category field when categories are not defined.

History

#1 - 2009-01-31 11:00 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.1

- Resolution set to Fixed

This was fixed in r2270.

#2 - 2009-02-02 19:21 - Brad Beattie

Hrm. This fix hides the ability to add new categories to those that would otherwise have access to do so. :(

#3 - 2009-02-02 19:32 - Jean-Philippe Lang

True, I knewn about that. But it also hides the field for those who do not want to use categories at all.

You can create a first set of categories in project settings then use the shortcut when one is missing.

I think it's pretty fair?

#4 - 2009-02-02 19:39 - Brad Beattie

Jean-Philippe Lang wrote:

True, I knewn about that. But it also hides the field for those who do not want to use categories at all.

You can create a first set of categories in project settings then use the shortcut when one is missing.

I think it's pretty fair?

 Yeah, the remaining issue of not being able to initiate categories from the new issue page is certainly of a much lower priority. I'm willing to ignore it

for now. ;)

#5 - 2009-02-04 15:05 - Axel Voitier

The empty drop down and the link could still be displayed when the user is authorized to create categories, no?

But that move the remaining minor issue on a new one: when we NEVER want to use categories.

#6 - 2009-02-09 19:47 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8 branch in r2425.
https://www.redmine.org/projects/redmine/repository/svn/revisions/2270
https://www.redmine.org/projects/redmine/repository/svn/revisions/2425


#7 - 2015-10-09 16:11 - Jean-Philippe Lang

- Related to Feature #18004: Do NOT hide category and version fields on issue form when no category or version is configured added
